#---------------------------------------------------------------
# Output Treatment
#----------------------------------------------------------------

# Supported output pipes
set c(outputtoList) { ImageEditor File Printer Fax OCR }

proc setoutputto { type } { global s c w l
    set c(outputto) $type
    $w(outputto) configure -text $type
    if [winfo exists .output] { destroy .output }
    frame .output -bd 5 -relief flat
    pack  .output -side right -expand yes -fill both
    window_$c(outputto) .output
}

proc make_output { prefix i } { global s c
    make_$c(outputto) $prefix $i
}

